Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.core.isdl.parser
Class ISDLParser

    java.lang.Object
      avrora.core.isdl.parser.ISDLParser

All Implemented Interfaces:
  ISDLParserConstants

public class ISDLParser
extends java.lang.Object
implements ISDLParserConstants

Field Summary
`Token` | `jj_nt`
`boolean` | `lookingAhead`
`Token` | `token`
`ISDLParserTokenManager` | `token_source`

Fields inherited from interface avrora.core.isdl.parser.ISDLParserConstants
`ADD, ADDRESS, AND, ARCHITECTURE, B_AND, B_COMP, B_OR, B_XOR, BIN_LITERAL, BOOLEAN_LITERAL, CHARACTER_LITERAL, COMMA, CYCLES, DECIMAL_LITERAL, DEFAULT, DIGIT, DIV, DOLLAR, ELSE, ENCODING, EOF, EQUAL, EQUALS, EXECUTE, EXTERNAL, FORMAL_COMMENT, FORMAT, GREATER, GREATEREQ, HEX_LITERAL, IDENTIFIER, IF, IMMEDIATE, IN_FORMAL_COMMENT, IN_MULTI_LINE_COMMENT, IN_SINGLE_LINE_COMMENT, INLINE, INSTRUCTION, INTEGER_LITERAL, LBRACKET, LESS, LESSEQ, LETTER, LOCAL, LPAREN, MUL, MULTI_LINE_COMMENT, NOT, NOTEQUAL, OCTAL_LITERAL, OPERAND, OR, RBRACKET, REGISTER, RETURN, RPAREN, SEMI, SHIFTLEFT, SHIFTRIGHT, SINGLE_LINE_COMMENT, STRING_LITERAL, SUB, SUBROUTINE, tokenImage, WHERE, XOR`

Constructor Summary
`ISDLParser(java.io.InputStream stream)`
`ISDLParser(ISDLParserTokenManager tm)`
`ISDLParser(java.io.Reader stream)`

Method Summary
`Expr` | `Add_Expr()`
`Expr` | `And_Expr()`
`Architecture` | `Architecture()`
`AssignStmt` | `Assignment()`
`Expr` | `BitRange(Expr e)`
`java.util.List` | `Block(java.util.List l)`
`Expr` | `CallExpr()`
`CallStmt` | `CallStmt()`
`Expr` | `Cond_And_Expr()`
`Expr` | `Cond_Or_Expr()`
`Expr` | `Cond_Xor_Expr()`
`Token` | `Cycles()`
`EncodingDecl` | `DerivedFormat(Token n)`
`void` | `disable_tracing()`
`void` | `enable_tracing()`
`EncodingDecl` | `Encoding(Token n)`
`Expr` | `Equ_Expr()`
`java.util.List` | `Execute(java.util.List s)`
`Expr` | `Expr()`
`java.util.List` | `ExprList()`
`CodeRegion.Operand` | `Formal()`
`java.util.List` | `Formals()`
`EncodingDecl` | `Format(Token n)`
`void` | `FormatDecl(Architecture a)`
`ParseException` | `generateParseException()`
`Token` | `getNextToken()`
`Token` | `getToken(int index)`
`IfStmt` | `IfStatement()`
`void` | `Instruction(Architecture a)`
`void` | `Item(Architecture a)`
`Token` | `Kind()`
`Expr` | `Literal()`
`DeclStmt` | `LocalDecl()`
`Expr` | `MapAccess()`
`AssignStmt` | `MapAssignment()`
`AssignStmt` | `MapAssignmentEnd(Token v, Expr ind)`
`Expr` | `Mul_Expr()`
`EncodingDecl` | `NewFormat(Token n)`
`void` | `OperandDecl(Architecture a)`
`OperandDecl` | `OperandRangeDecl(Token n, Token k, Token b)`
`java.util.List` | `OperandSet()`
`OperandDecl` | `OperandSetDecl(Token n, Token k, Token b)`
`void` | `OperandSetElem(java.util.List l)`
`void` | `OperandTail(Architecture a, Token n, Token k, Token b)`
`Expr` | `Or_Expr()`
`java.util.List` | `Parameters()`
`void` | `RegisterDecl(Architecture a)`
`void` | `ReInit(java.io.InputStream stream)`
`void` | `ReInit(ISDLParserTokenManager tm)`
`void` | `ReInit(java.io.Reader stream)`
`Expr` | `Rel_Expr()`
`ReturnStmt` | `ReturnStmt()`
`Expr` | `Shift_Expr()`
`void` | `SingleStatement(java.util.List l)`
`Stmt` | `Statement()`
`void` | `Subroutine(Architecture a)`
`void` | `Substitution()`
`java.util.List` | `SubstitutionList()`
`Expr` | `Term()`
`Expr` | `Un_Expr()`
`AssignStmt` | `VarAssignEnd(Token v)`
`AssignStmt` | `VarAssignment()`
`Expr` | `VarUse()`
`Expr` | `Xor_Expr()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### token_source

    public ISDLParserTokenManager token_source

### token

    public Token token

### jj_nt

    public Token jj_nt

### lookingAhead

    public boolean lookingAhead

Constructor Detail

### ISDLParser

    public ISDLParser(java.io.InputStream stream)

### ISDLParser

    public ISDLParser(java.io.Reader stream)

### ISDLParser

    public ISDLParser(ISDLParserTokenManager tm)

Method Detail

### Architecture

    public final Architecture Architecture()
                                    throws ParseException

  Throws:
    `ParseException`

### Item

    public final void Item(Architecture a)
                    throws ParseException

  Throws:
    `ParseException`

### Instruction

    public final void Instruction(Architecture a)
                           throws ParseException

  Throws:
    `ParseException`

### Cycles

    public final Token Cycles()
                       throws ParseException

  Throws:
    `ParseException`

### Encoding

    public final EncodingDecl Encoding(Token n)
                                throws ParseException

  Throws:
    `ParseException`

### Execute

    public final java.util.List Execute(java.util.List s)
                                 throws ParseException

  Throws:
    `ParseException`

### FormatDecl

    public final void FormatDecl(Architecture a)
                          throws ParseException

  Throws:
    `ParseException`

### OperandDecl

    public final void OperandDecl(Architecture a)
                           throws ParseException

  Throws:
    `ParseException`

### OperandTail

    public final void OperandTail(Architecture a,
                                  Token n,
                                  Token k,
                                  Token b)
                           throws ParseException

  Throws:
    `ParseException`

### OperandSetDecl

    public final OperandDecl OperandSetDecl(Token n,
                                            Token k,
                                            Token b)
                                     throws ParseException

  Throws:
    `ParseException`

### OperandSetElem

    public final void OperandSetElem(java.util.List l)
                              throws ParseException

  Throws:
    `ParseException`

### OperandRangeDecl

    public final OperandDecl OperandRangeDecl(Token n,
                                              Token k,
                                              Token b)
                                       throws ParseException

  Throws:
    `ParseException`

### Kind

    public final Token Kind()
                     throws ParseException

  Throws:
    `ParseException`

### OperandSet

    public final java.util.List OperandSet()
                                    throws ParseException

  Throws:
    `ParseException`

### RegisterDecl

    public final void RegisterDecl(Architecture a)
                            throws ParseException

  Throws:
    `ParseException`

### Format

    public final EncodingDecl Format(Token n)
                              throws ParseException

  Throws:
    `ParseException`

### DerivedFormat

    public final EncodingDecl DerivedFormat(Token n)
                                     throws ParseException

  Throws:
    `ParseException`

### NewFormat

    public final EncodingDecl NewFormat(Token n)
                                 throws ParseException

  Throws:
    `ParseException`

### SubstitutionList

    public final java.util.List SubstitutionList()
                                          throws ParseException

  Throws:
    `ParseException`

### Substitution

    public final void Substitution()
                            throws ParseException

  Throws:
    `ParseException`

### Formals

    public final java.util.List Formals()
                                 throws ParseException

  Throws:
    `ParseException`

### Formal

    public final CodeRegion.Operand Formal()
                                    throws ParseException

  Throws:
    `ParseException`

### Subroutine

    public final void Subroutine(Architecture a)
                          throws ParseException

  Throws:
    `ParseException`

### Expr

    public final Expr Expr()
                    throws ParseException

  Throws:
    `ParseException`

### ExprList

    public final java.util.List ExprList()
                                  throws ParseException

  Throws:
    `ParseException`

### Term

    public final Expr Term()
                    throws ParseException

  Throws:
    `ParseException`

### MapAccess

    public final Expr MapAccess()
                         throws ParseException

  Throws:
    `ParseException`

### VarUse

    public final Expr VarUse()
                      throws ParseException

  Throws:
    `ParseException`

### Literal

    public final Expr Literal()
                       throws ParseException

  Throws:
    `ParseException`

### CallExpr

    public final Expr CallExpr()
                        throws ParseException

  Throws:
    `ParseException`

### Parameters

    public final java.util.List Parameters()
                                    throws ParseException

  Throws:
    `ParseException`

### Statement

    public final Stmt Statement()
                         throws ParseException

  Throws:
    `ParseException`

### LocalDecl

    public final DeclStmt LocalDecl()
                             throws ParseException

  Throws:
    `ParseException`

### IfStatement

    public final IfStmt IfStatement()
                             throws ParseException

  Throws:
    `ParseException`

### ReturnStmt

    public final ReturnStmt ReturnStmt()
                                throws ParseException

  Throws:
    `ParseException`

### SingleStatement

    public final void SingleStatement(java.util.List l)
                               throws ParseException

  Throws:
    `ParseException`

### Assignment

    public final AssignStmt Assignment()
                                throws ParseException

  Throws:
    `ParseException`

### CallStmt

    public final CallStmt CallStmt()
                            throws ParseException

  Throws:
    `ParseException`

### VarAssignment

    public final AssignStmt VarAssignment()
                                   throws ParseException

  Throws:
    `ParseException`

### VarAssignEnd

    public final AssignStmt VarAssignEnd(Token v)
                                  throws ParseException

  Throws:
    `ParseException`

### MapAssignment

    public final AssignStmt MapAssignment()
                                   throws ParseException

  Throws:
    `ParseException`

### MapAssignmentEnd

    public final AssignStmt MapAssignmentEnd(Token v,
                                             Expr ind)
                                      throws ParseException

  Throws:
    `ParseException`

### Block

    public final java.util.List Block(java.util.List l)
                               throws ParseException

  Throws:
    `ParseException`

### BitRange

    public final Expr BitRange(Expr e)
                        throws ParseException

  Throws:
    `ParseException`

### Cond_Or_Expr

    public final Expr Cond_Or_Expr()
                            throws ParseException

  Throws:
    `ParseException`

### Cond_Xor_Expr

    public final Expr Cond_Xor_Expr()
                             throws ParseException

  Throws:
    `ParseException`

### Cond_And_Expr

    public final Expr Cond_And_Expr()
                             throws ParseException

  Throws:
    `ParseException`

### Or_Expr

    public final Expr Or_Expr()
                       throws ParseException

  Throws:
    `ParseException`

### Xor_Expr

    public final Expr Xor_Expr()
                        throws ParseException

  Throws:
    `ParseException`

### And_Expr

    public final Expr And_Expr()
                        throws ParseException

  Throws:
    `ParseException`

### Equ_Expr

    public final Expr Equ_Expr()
                        throws ParseException

  Throws:
    `ParseException`

### Rel_Expr

    public final Expr Rel_Expr()
                        throws ParseException

  Throws:
    `ParseException`

### Shift_Expr

    public final Expr Shift_Expr()
                          throws ParseException

  Throws:
    `ParseException`

### Add_Expr

    public final Expr Add_Expr()
                        throws ParseException

  Throws:
    `ParseException`

### Mul_Expr

    public final Expr Mul_Expr()
                        throws ParseException

  Throws:
    `ParseException`

### Un_Expr

    public final Expr Un_Expr()
                       throws ParseException

  Throws:
    `ParseException`

### ReInit

    public void ReInit(java.io.InputStream stream)

### ReInit

    public void ReInit(java.io.Reader stream)

### ReInit

    public void ReInit(ISDLParserTokenManager tm)

### getNextToken

    public final Token getNextToken()

### getToken

    public final Token getToken(int index)

### generateParseException

    public ParseException generateParseException()

### enable_tracing

    public final void enable_tracing()

### disable_tracing

    public final void disable_tracing()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD